%define name 	x264
%define version 0.%major.%rev
%define date 20080423
%define rev 2245
%define release %mkrel 1
%define distsuffix plf

%define major   59
%define libname %mklibname %{name}_ %major
%define develname %mklibname -d %name
%define fname %{name}-snapshot-%date-%{rev}

Summary: 	H264/AVC encoder
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%fname.tar.bz2

License: 	GPLv2+
Group: 		Video
Url: 		http://x264.nl/

BuildRequires:	gpac-devel
BuildRequires:	yasm
BuildRequires: git-core
%if %mdkversion >= 200700
BuildRequires:	libx11-devel
%else
BuildRequires:	X11-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in PLF as the video encoder may be covered by software
patents.

%package -n %{libname}
Summary: Shared library of x264
Group: System/Libraries

%description -n %{libname}
x264 dynamic libraries

%package -n %develname
Summary: H264/AVC encoding library headers
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Obsoletes: %mklibname -d %{name}_ 54

%description -n %develname
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

%prep
%setup -q -n %fname
perl -pi -e 's|usr/local|usr||g' configure

%build
./configure --enable-pthread --enable-shared --enable-pic --enable-visualize --enable-mp4-output
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
ln -sf libx264.so.%{major} %buildroot%_libdir/libx264.so

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS doc/*
%_bindir/%name

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libx264.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libx264.a
%_libdir/libx264.so
%_includedir/*.h
%_libdir/pkgconfig/*.pc

%changelog
* Thu Apr 24 2008 Götz Waschk <goetz@zarb.org> 0.59.2245-1plf2009.0
- update license tag
- fix buildrequires
- new major
- new version

* Wed Jan  2 2008 Götz Waschk <goetz@zarb.org> 0.57.714-1plf2008.1
- new major
- new version

* Fri Oct 12 2007 Götz Waschk <goetz@zarb.org> 0.56.680-1plf2008.1
- new devel name
- new major
- new snapshot

* Thu Jan  4 2007 Götz Waschk <goetz@zarb.org> 0.54.616-1plf2007.1
- new snapshot

* Wed Oct 18 2006 Götz Waschk <goetz@zarb.org> 0.54.594-1plf2007.1
- new major
- new version

* Sun Sep 03 2006 Anssi Hannula <anssi@zarb.org> 0.50.558-2plf2007.0
- fix buildrequires

* Tue Aug 29 2006 Götz Waschk <goetz@zarb.org> 0.50.558-1plf2007.0
- new major
- new  snapshot

* Fri Jun 30 2006 Austin Acton <austin@zarb.org> 0.47.533-1plf
- new checkout
- get rid of usr/local
- enable visualize
- enable mp4 through gpac

* Mon Apr 24 2006 Austin Acton <austin@zarb.org> 0.46.511-1plf
- new checkout
- PLF reason
- URL

* Thu Mar 23 2006 Götz Waschk <goetz@zarb.org> 0.45.478-2plf
- fix symlink

* Wed Mar 22 2006 Austin Acton <austin@zarb.org> 0.45.478-1plf
- new checkout
- build shared library

* Mon Jan 23 2006 Austin Acton <austin@zarb.org> 0.44.409-1plf
- use version number from config.h
- new checkout

* Tue Nov 22 2005 Austin Acton <austin@zarb.org> 0-0.375.1plf
- svn 375
- add pkgconfig file
- PIC patch seems to have been applied upstream

* Thu Nov 10 2005 Anssi Hannula <anssi@zarb.org> 0-0.364.2plf
- fix x86_64 asm to be PIC (patch2)
- dropped patch1, upstream

* Tue Nov 1 2005 Austin Acton <austin@zarb.org> 0-0.364.1plf
- svn 364
- enable threads

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 0-0.315.1plf
- new snapshot
- x86_64 fixes (patch1)

* Sat Sep 24 2005 Stefan van der Eijk <stefan@zarb.org> 0-0.293.2plf
- BuildRequires

* Mon Sep 19 2005 Götz Waschk <goetz@zarb.org> 0-0.293.1plf
- new snapshot

* Tue Sep  6 2005 Götz Waschk <goetz@zarb.org> 0-0.291.1plf
- initial package
